#
#    RedEye is a Disc Authoring and Burning program.
#    Copyright (C) 2003  Michael Urman
#
#    RedEye is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    RedEye is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with RedEye; if not, write to the Free Software Foundation, Inc., 59
#    Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

import os
from RedEye.Helper import Helper

class Mount(Helper.program):

    def __init__(self):
        super(Mount, self).__init__('mount')

    def get_devices(self):

        try:
            fstab = file('/etc/fstab')
        except OSError:
            return

        for line in fstab:
            line = line.strip()
            if line.startswith('#'):
                continue
            try:
                dev, mount, type_, opts, dump, pass_ = line.split()
            except ValueError:
                continue


            if '/fd' in dev:
                continue

            if type_.lower() not in ('iso9660', 'auto'):
                continue

            opts = opts.lower()
            if os.getuid() and ('user' not in opts or 'nouser' in opts):
                continue

            yield MountPoint(mount, dev)

class MountPoint(object):
    def __init__(self, path, dev):
        self.path = path
        self.dev = dev
        self.description = '%s (%s)' % (path, dev)
