#! /usr/bin/env python
#
#    RedEye is a Disc Authoring and Burning program.  This is its installer.
#    Copyright (C) 2003  Michael Urman
#
#    RedEye is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    RedEye is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with RedEye; if not, write to the Free Software Foundation, Inc.,
#    59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

from distutils.core import setup
from glob import glob
import os

version = "0.0.20pre3"

setup(
    name = "RedEye",
    description = "Disc Authoring and Burning Application",
    license = "GNU GPL Version 2",
    version = version,
    author = "Michael Urman",
    author_email = "%s+redeye@%s.net" % ('mu', 'tortall'),
    url = "http://www.tortall.net/~mu/proj/redeye.html",
    download_url = "http://www.tortall.net/~mu/proj/redeye/redeye-%s.tar.gz" % version,
    packages = [
        "RedEye",
        "RedEye.Helper", 
        "RedEye.Layout", 
        "RedEye.Session", 
        "RedEye.File", 
    ],
    scripts = [
        'redeye',
    ],
    data_files = [
        ('share/pixmaps/redeye', glob(os.path.join('pixmaps','icon-*.png'))),
    ],
)
